Support for the Ruby 2.2 series will end March 2018. See here for reference.

In Files

  • error.c


Class/Module Index [+]



ScriptError is the superclass for errors raised when a script can not be executed because of a LoadError, NotImplementedError or a SyntaxError. Note these type of ScriptErrors are not StandardError and will not be rescued unless it is specified explicitly (or its ancestor Exception).